from setuptools import setup

setup(
    name='akkadianAppManager',
    version='3.3',

    py_modules=['akkadianAppManager', 'mongo_replication', 'time_management', 'network_management', 'apache_management',
                'aco_management', 'executor_management', 'supervisor_management', 'openldap_management', 'snmp_management'],

    include_package_data=True,
    install_requires=[
        'click==4.1',
    ],
    entry_points='''
        [console_scripts]
        akkadianAppManager=akkadianAppManager:cli
    ''',
)
